Subject: Re: [PATCH net 0/3] dpaa2-eth: software TSO fixes

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 May 2022 11:39:00 -0700

On Sun, 22 May 2022 15:52:48 +0300 Ioana Ciornei wrote:
> This patch fixes the software TSO feature in dpaa2-eth.
> 
> There are multiple errors that I made in the initial submission of the
> code, which I didn't caught since I was always running with passthough
> IOMMU.
> 
> The bug report came in bugzilla:
> https://bugzilla.kernel.org/show_bug.cgi?id=215886
> 
> The bugs are in the Tx confirmation path, where I was trying to retrieve
> a virtual address after DMA unmapping the area. Besides that, another
> dma_unmap call was made with the wrong size.

Thanks for the fixes! FTR it's been applied as commit 7e4d1c237592
("Merge branch 'dpaa2-swtso-fixes'") to net on Sunday.